curl --request GET \
--url https://api.synctera.com/v2/synctera_pay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/synctera_pay"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/synctera_pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfers": [
{
"amount": 10000,
"currency": "USD",
"dc_sign": "CREDIT",
"direction": "OUTGOING",
"subtype": "OUTGOING_INTERNATIONAL_REMITTANCE",
"synctera_pay_network": "WISE",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"status": "POSTED",
"tenant_id": "abcdef_ghijkl",
"configuration_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"exchange_details": {
"rate": 1.30445,
"source_amount": 10000,
"source_currency": "USD",
"target_amount": 10000,
"target_currency": "GBP",
"fees": [
{
"currency": "<string>",
"fee_type": "FX",
"amount": 2,
"description": "<string>",
"percentage": "<string>"
}
]
},
"final_external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_data": {},
"synctera_pay_vendor_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": "<string>",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"reference_id": "<string>",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get Outgoing Synctera Pay Transfers
Get all Outgoing Synctera Pay transfers
🚧 Beta > This is a Beta endpoint. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Synctera Pay Transfer ID
Customer ID of the transfer
Originating account ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Destination account ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Originating account owner name
Destination account owner name
"Jane Joe"
Status of the transfer
Network status of the transfer
Subtype of the transfer
DC sign of the transfer
Effective date of the transfer
From effective date of the transfer
To effective date of the transfer
Posting date of the transfer
From posting date of the transfer
To posting date of the transfer
Query transfers with the exact amount in minor units (ie cents)
100
Query transfers with at least this amount in minor units (ie cents)
x >= 1100
Query transfers with at most this amount in minor units (ie cents)
x >= 1100
Currency of the transfer
"USD"
Reference ID of the transfer
Is same day transfer
Response
Retrieve all Outgoing Synctera Pay transfers
Was this page helpful?

